# Kapitanbooru Uploader

Kapitanbooru Uploader is a GUI application for uploading images to KapitanBooru. It provides features such as tag management, automatic tagging using wdtagger, and more.

## Features

- **Image Upload**: Easily upload images to KapitanBooru.
- **Tag Management**: Manage tags for images, including automatic tagging using wdtagger.
- **Cache Management**: Cache results from wdtagger to speed up processing.
- **Settings**: Configure application settings such as default tags, cache expiry, and more.

## Installation

1. Clone the repository:
    ```sh
    git clone https://git.mlesniak.pl/kapitan/kapitanbooru-uploader.git
    cd kapitanbooru-uploader
    ```

2. Install the required dependencies:
    ```sh
    pip install -r requirements.txt
    ```

3. Ensure you have the required Python version:
    ```sh
    python --version
    # Should be >= 3.13
    ```

## Usage

1. Run the application:
    ```sh
    python -m kapitanbooru_uploader.main
    ```

2. Select the folder containing the images you want to upload.

3. Manage tags and upload images using the GUI.

## Configuration

Configuration settings can be found in the `settings.json` file located in the application data directory. You can modify settings such as username, password, base URL, default tags, and more.

## Development

### Running Tests

To run tests, use the following command:
```sh
pytest
```

### Debugging

You can use the provided VSCode launch configurations to debug the application. Open the `.vscode/launch.json` file and select the appropriate configuration.

## Contributing

Contributions are welcome! Please fork the repository and submit a pull request.

## License

This project is licensed under the MIT License. See the `LICENSE` file for details.

## Contact

For any questions or issues, please contact Michał Leśniak at [kapitan@mlesniak.pl](mailto:kapitan@mlesniak.pl).
